<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*Главная страница*/
$tpl->assign_file('mod', 'tpl/inc/default.tpl');
//Удаление папки
if(isset($_GET['del_dir'])){
	$del_dir = (int)$_GET['del_dir'];
	if($admin){
		if(is_dir('files/'.$del_dir)) del_dir('files/'.$del_dir);
		//получаем список файлов чтоб почистить в них коменты
		$sql = $db->query("SELECT * FROM foto_file WHERE id_dir = '$del_dir'");
		while(false != ($del = $db->assoc($sql))){
			$com = new comments_class_by_lugaro('fotoalbom', $del['id']);
			$com->del_group();
		}
		//Удаляем записи с базы
		//Папку
		$db->query("DELETE FROM foto_dir WHERE id = '$del_dir'");
		//Альбомы
		$db->query("DELETE  FROM foto_albom WHERE id_dir = '$del_dir'");
		//Файлы
		$db->query("DELETE  FROM foto_file WHERE id_dir = '$del_dir'");
	}
}
// Список каталогов
$sql = $db->query("SELECT *, (SELECT COUNT(*) FROM foto_file WHERE `mod` = 0 AND id_dir = foto_dir.id) AS count FROM foto_dir");
if ($konf_albom['top_cool']) $tpl->parse('index.top_cool');
if ($konf_albom['top_new']) $tpl->parse('index.top_new');
if ($user_id && $konf_albom['top_friends']) $tpl->parse('index.top_friends');
if ($konf_albom['top_com']) $tpl->parse('index.top_com');
if ($user_id){
	$tpl->assign('user_id', $user_id);
	$tpl->parse('index.user_albom');
}
while (false != ($res = $db->assoc($sql))) {
    $tpl->assign($res);
    if ($admin && $vid_adm) $tpl->parse('index.while.admin');
    $tpl->parse('index.while');
}

?>